Jump to content

Template:IconButton/styles.css: Difference between revisions

From Scampsopedia
mNo edit summary
mNo edit summary
Line 3: Line 3:
}
}


.scamp-icon-button__img {
.scamp-icon-button {
   transition: background-color 0.2s ease;
   transition: background-color 0.2s ease;
   border-radius: 4px;
   border-radius: 4px;

Revision as of 11:36, 14 January 2026

.scamp-icon-button * {
  box-sizing: border-box;
}

.scamp-icon-button {
  transition: background-color 0.2s ease;
  border-radius: 4px;
}
.scamp-icon-button:hover {
  background-color: var(--background-color-interactive--hover);
}

.scamp-icon-button__img a {
  padding: 1rem;
}

.scamp-icon-button__img a,
.scamp-icon-button__img span {
  display: block;
  width: 100%;
  height: 100%;
  text-align: center;
}

.scamp-icon-button__img img {
  width: 60px;
  height: 60px;
}

.scamp-icon-button .scamp-link-button {
  width: 100%;
}